Summary: 	Small applet which displays cpu time for KDE kicker
Name: 		kcpuload
Version: 	1.99
Release:        %mkrel 5
Source0: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		Monitoring
Url:		http://kde.quakenet.eu.org/kcpuload.shtml
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs3-devel 
BuildRequires:  desktop-file-utils

%description
This is a small program for the KDE Kicker (the startmenu). 
It will show the CPU usage in form of one or two configurable diagrams. 
There are settings for colors and some different styles. 
Note that it isn't the real system load that's shown, but the percent 
used of the total CPU power, which is calculated from the number of 
CPU ticks.

To bring up the settings menu, simply rightclick on the diagram.
Use a slower update interval to get a more stable and accurate 
diagram without flicker.

If there are more than one CPU on the system, the total CPU usage from 
both can be shown, or you can choose to have one separate diagram for
each of the CPU's. 
Leftclick on the diagram to bring up a small information box which will 
show the exact CPU usage in text form.


%prep

%setup -q

%build
%configure_kde3

%install
make install DESTDIR=%buildroot


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --add-category="System" \
  --add-category="Monitor" \
  --dir $RPM_BUILD_ROOT%_kde3_datadir/applnk/System $RPM_BUILD_ROOT%_kde3_datadir/applnk/System/*

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%dir %_kde3_datadir/apps/%{name}/
%_kde3_bindir/*
%dir %_kde3_datadir/doc/HTML/en/kcpuload/
%doc %_kde3_datadir/doc/HTML/en/kcpuload/*.bz2
%doc %_kde3_datadir/doc/HTML/en/kcpuload/*.docbook
%doc %_kde3_datadir/doc/HTML/en/kcpuload/common
%dir %_kde3_datadir/apps/%{name}/icons/ 
%_kde3_datadir/icons/*/*/*/*.png
%_kde3_datadir/apps/%name
%_kde3_datadir/applnk/System/*





%changelog
* Wed Mar 25 2009 Helio Chissini de Castro <helio@mandriva.com> 1.99-5mdv2009.1
+ Revision: 361083
- Bump to rebuild against cooker

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.99-4mdv2009.0
+ Revision: 218428
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Sep 21 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-20 17:15:06 (62487)
- migrate to XDG

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 03:47:32 (43123)
- import kcpuload-1.99-3mdk

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.99-3mdk
- Remove redundant buildrequire
- use mkrel

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 1.99-2mdk 
- rebuild for new gcc

